Page MenuHomePhabricator

Wikipedia survey is displayed on Wiktionary
Closed, ResolvedPublic

Description

On Wiktionary, a message asks you to answer a quick survey to help improving Wikipedia. Clicking the link leads to Qualtrics survey about Wikipedia. Is it expected behavior? That looks strange.
After you have clicked “Participate to survey” button, the message on Wiktionary says “we will use your feedback to improve Wiktionary”, so this is at least inconsistent.

I copy messages in French, because uselang parameter doesn’t work for these messages:

Répondez à un rapide sondage et aidez nous à améliorer Wikipédia.

Merci pour ce retour ! Nous l’utiliserons pour rendre Wiktionnaire encore meilleur !

Event Timeline

Pols12 created this task.Jul 14 2020, 7:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2020, 7:56 PM
Ammarpad added a subscriber: Ammarpad.

Some of the messages hardcorded 'Wikipedia'; probably they should use {{SITENAME}}

Change 612659 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/QuickSurveys@master] QuickSurveys i18n: Don't hardcode sitename

https://gerrit.wikimedia.org/r/612659

Jdlrobson added a subscriber: Jdlrobson.

The patch fixes the example survey but not the active survey here which uses a local message.
This one:
https://fr.m.wiktionary.org/wiki/MediaWiki:Ext-quicksurveys-affinity-survey-question
The local message is wrong on this project. Can I leave this with you ?

Change 612659 merged by jenkins-bot:
[mediawiki/extensions/QuickSurveys@master] QuickSurveys i18n: Don't hardcode sitename

https://gerrit.wikimedia.org/r/612659

It seems the messages are manually created on each project, so Translatewiki bot will not help to update the message which is what I thought of first.

ovasileva added a comment.EditedJul 15 2020, 3:53 PM

Apologies for this. For now, we will be turning off the survey and running it again with the corrected sitename and survey name at a later time.

Yes, this concerns these system messages, but also survey content on Qualtrics.

ovasileva closed this task as Resolved.Jul 30 2020, 12:49 PM

The content here is now fixed. The fixes will be available upon the next survey we run on frwiktionary.